package com.zjrs.zwnw.zj.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import java.util.List;


public class GccrcGsqsDTO {
    @ApiModelProperty(value = "高层次人才认定ID列表")
    @Valid
    @NotEmpty(message = "高层次人才认定ID列表不能为空")
    private List<GccrcQueryByIdDTO> rsZjGccrcLshList;

    @ApiModelProperty(value = "公示期数")
    @NotBlank(message = "公示期数不能为空")
    private String gsqs;

    public List<GccrcQueryByIdDTO> getRsZjGccrcLshList() {
        return rsZjGccrcLshList;
    }

    public void setRsZjGccrcLshList(List<GccrcQueryByIdDTO> rsZjGccrcLshList) {
        this.rsZjGccrcLshList = rsZjGccrcLshList;
    }

    public String getGsqs() {
        return gsqs;
    }

    public void setGsqs(String gsqs) {
        this.gsqs = gsqs;
    }
}
